Bug 499822 - Saving connection failed: (0) Can't write connection type 'pppoe'
Saving connection failed: (0) Can't write connection type 'pppoe'
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-08 08:54 EDT by Viktor Erdelyi
Modified: 2013-02-08 11:03 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-04 14:58:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Viktor Erdelyi 2009-05-08 08:54:27 EDT
I'm not sure that it's a bug of NetworkManager, but I get the above message when trying to make a DSL connection "available to all users" in it (at the bottom of the dialog box).

NetworkManager
Version    : 0.7.1
Release    : 3.git20090414.fc11
Comment 1 Bug Zapper 2009-06-09 11:27:07 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Niels Haase 2009-06-17 07:12:57 EDT
Thanks for filling this bug, can you please try to boot your system with selinux=0 to ensure that this is not an SELinux problem?

To do that, please edit your /etc/grub.conf, find the line who start with "kernel" and add selinux=0 at the end of the line.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Viktor Erdelyi 2009-06-17 15:06:44 EDT
Same result without selinux.
Comment 4 RJ 2009-07-06 17:42:04 EDT
I can confirm this bug with 
NetworkManager
Version    : 0.7.1-6
Release    : git20090617.fc11.i586
Comment 5 Mark Wielaard 2009-07-22 04:42:31 EDT
I get the same, but for a vpn connection when trying to enable the "Available to all users" checkbox: Saving connection failed: (0) Can't write connection type 'vpn'

NetworkManager-0.7.1-4.git20090414.fc11.x86_64
NetworkManager-gnome-0.7.1-4.git20090414.fc11.x86_64
Comment 6 Makoto Mizukami 2009-08-07 06:54:28 EDT
This problem may be because of "ifcfg-rh" plugin of NetworkManager. Please try with "keyfile" plugin and check that it works well. In my case, this resolved the same problem.
Comment 7 Xane 2009-10-01 23:00:06 EDT
I have the same issue with try to edit a VPN connection. Any resolution?
Comment 8 Steve Dickson 2009-10-27 17:29:10 EDT
I too am seeing the same problem...
Comment 9 Dan Williams 2009-10-28 13:58:42 EDT
What is the plugins= line of your /etc/NetworkManager/nm-system-settings.conf files?

If that line is:

plugins=ifcfg-rh,keyfile

then you'll need:

https://admin.fedoraproject.org/updates/F11/FEDORA-2009-10696?_csrf_token=e88f5a8b9de7fc8ef25c45ef471095c92861c647

which has a fix for falling back to the next plugin when the first one doesn't support writing that type of connection.

If that line is:

plugins=ifcfg-rh

then try adding ",keyfile" to the end and updating to the F-11 update listed there.

The main reason is that ifcfg-rh isn't able to write all types of connections since we haven't defined keys for ifcfg files for everything yet.  'keyfile' can write everything, but isn't the standard Fedora config file format that everyone knows.  The intention is to make ifcfg files support all connection types.
Comment 10 Viktor Erdelyi 2009-10-28 14:11:21 EDT
Unfortunately, I can't provide this info, since I don't have any Fedora installations at the moment. However I hope that others experiencing the same problem can do it.
Comment 11 Steve Dickson 2009-10-28 14:22:05 EDT
Is there an F-12 update? I just realized this is a f11 bz and I'm
seeing this on my f12 laptop...
Comment 12 Dan Williams 2009-10-28 14:59:38 EDT
(In reply to comment #11)
> Is there an F-12 update? I just realized this is a f11 bz and I'm
> seeing this on my f12 laptop...  

It should be fixed in recent F12 from last week, -5.git20091021 I think.  What version do you have there?
Comment 13 Steve Dickson 2009-10-28 15:02:11 EDT
# rpm -qa | grep -i networkmanager
NetworkManager-pptp-0.7.996-4.git20090921.fc12.x86_64
NetworkManager-0.7.996-5.git20091021.fc12.x86_64
NetworkManager-glib-0.7.996-5.git20091021.fc12.x86_64
NetworkManager-openvpn-0.7.996-4.git20090923.fc12.x86_64
NetworkManager-vpnc-0.7.996-4.git20090921.fc12.x86_64
NetworkManager-openconnect-0.7.996-4.git20090921.fc12.x86_64
NetworkManager-gnome-0.7.996-5.git20091021.fc12.x86_64
Comment 14 Dan Williams 2009-10-28 15:39:44 EDT
Steve: yeah, you'll want to update; the -5 build from 2009-10-21 has the fix for falling back to the next plugin (ie, keyfile) if the first one (ie, ifcfg-rh) can't write out a specific connection type.  20090921 didn't have that.
Comment 15 Steve Dickson 2009-10-29 10:49:48 EDT
Update to what? It appears this is the last build 
http://koji.fedoraproject.org/koji/buildinfo?buildID=137758
which I have isntalled?
Comment 16 Dan Williams 2009-11-02 11:47:16 EST
(In reply to comment #15)
> Update to what? It appears this is the last build 
> http://koji.fedoraproject.org/koji/buildinfo?buildID=137758
> which I have isntalled?  

Not quite:
http://koji.fedoraproject.org/koji/buildinfo?buildID=137758

Mirrors have the update too:
http://download.fedora.redhat.com/pub/fedora/linux/development/i386/os/Packages/NetworkManager-0.7.996-5.git20091021.fc12.i686.rpm

A sequence of:

yum clean all
yum upgrade NetworkManager*

should do the trick?  If not, your mirror might be out of date perhaps?
Comment 18 Dan Williams 2009-11-02 12:02:07 EST
(In reply to comment #15)
> Update to what? It appears this is the last build 
> http://koji.fedoraproject.org/koji/buildinfo?buildID=137758
> which I have isntalled?  

Ah, small mixup.  In any case, what does your /etc/NetworkManager/nm-system-settings.conf file contain?  Did you restart NetworkManager after editing that file to add the 'keyfile' plugin?
Comment 19 Steve Dickson 2009-11-02 14:45:59 EST
Quick update.... 

It turns I was able to import vpncs using  0.7.996-5 
only if I did *not* click the 'Available to all users'

# cat /etc/NetworkManager/nm-system-settings.conf 
[main]
plugins=ifcfg-rh

Question, should I still added the 'keyfile' plugin?
Comment 20 Fedora Update System 2009-11-04 07:34:12 EST
NetworkManager-0.7.1.998-1.fc11, mobile-broadband-provider-info-1.20090918-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update NetworkManager mobile-broadband-provider-info'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10696
Comment 21 Corch 2009-11-10 22:37:35 EST
I am getting the same error when trying to make a VPN available to all users. I have applied the latest update from the testing repository and am still getting the same error.

NetworkManager-gnome-0.7.1.998-1.fc11.x86_64
NetworkManager-openvpn-0.7.0.99-1.fc11.x86_64
NetworkManager-glib-0.7.1.998-1.fc11.x86_64
NetworkManager-openconnect-0.7.0.99-5.fc11.x86_64
NetworkManager-0.7.1.998-1.fc11.x86_64
NetworkManager-vpnc-0.7.0.99-1.fc11.x86_64
Comment 22 Dan Williams 2009-11-28 21:59:52 EST
(In reply to comment #21)
> I am getting the same error when trying to make a VPN available to all users. I
> have applied the latest update from the testing repository and am still getting
> the same error.
> 
> NetworkManager-gnome-0.7.1.998-1.fc11.x86_64
> NetworkManager-openvpn-0.7.0.99-1.fc11.x86_64
> NetworkManager-glib-0.7.1.998-1.fc11.x86_64
> NetworkManager-openconnect-0.7.0.99-5.fc11.x86_64
> NetworkManager-0.7.1.998-1.fc11.x86_64
> NetworkManager-vpnc-0.7.0.99-1.fc11.x86_64  

Try adding ",keyfile" to the end of the "plugins=" line in /etc/NetworkManager/nm-system-settings.conf so that it looks like this:

plugins=ifcfg-rh,keyfile

and then run "sudo killall -TERM nm-system-settings" and then try to save the PPPoE connection.  The ifcfg-rh system settings plugin only supports ethernet and wifi connections at this time, but keyfile supports everything.
Comment 23 Makoto Mizukami 2009-12-03 19:29:00 EST
> Try adding ",keyfile" to the end of the "plugins=" line in /etc/NetworkManager/nm-system-settings.conf
Note that you may have to specify only keyfile plugin. I had to do so to solve this problem.
Comment 24 Dan Williams 2009-12-04 14:29:48 EST
(In reply to comment #23)
> > Try adding ",keyfile" to the end of the "plugins=" line in /etc/NetworkManager/nm-system-settings.conf
> Note that you may have to specify only keyfile plugin. I had to do so to solve
> this problem.  

Correct; the keyfile plugin must be added to write out pppoe connections as ifcfg-rh doesn't support pppoe ifcfg translation yet.

More info here:

http://live.gnome.org/NetworkManager/SystemSettings
Comment 25 Fedora Update System 2009-12-07 02:35:36 EST
mobile-broadband-provider-info-1.20090918-1.fc11, NetworkManager-0.7.2-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 26 Bug Zapper 2010-04-27 10:13:31 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 27 Viktor Erdelyi 2010-05-08 07:48:22 EDT
I still can't make a connection "available to all users" in FC12. Given this situation, what should I do with this bug? Should I open a new one for FC12?
Comment 28 Bug Zapper 2010-06-28 08:26:59 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 29 Chao Yang 2010-08-04 08:52:52 EDT
Hi,

I just reproduced this issue on Fedora 13. The detail info as below:
[root@f13-laptop ~]# rpm -qa | grep Network
NetworkManager-pptp-0.7.997-3.git20100120.fc13.i686
NetworkManager-glib-0.8.1-0.1.git20100510.fc13.i686
NetworkManager-vpnc-0.8.0-1.git20100411.fc13.i686
NetworkManager-gnome-0.8.1-0.1.git20100510.fc13.i686
NetworkManager-0.8.1-0.1.git20100510.fc13.i686
NetworkManager-openvpn-0.7.997-1.fc13.i686
NetworkManager-openconnect-0.7.997-1.fc13.i686
[root@f13-laptop ~]# cat /etc/issue
Fedora release 13 (Goddard)
Kernel \r on an \m (\l)

[root@f13-laptop ~]# uname -a
Linux f13-laptop 2.6.33.3-85.fc13.i686 #1 SMP Thu May 6 18:44:12 UTC 2010 i686 i686 i386 GNU/Linux
[root@f13-laptop ~]# 

I think we need a fix here.

Best,
Chao
Comment 30 Dan Williams 2010-08-04 14:58:52 EDT
You'll want to update to NetworkManager-0.8.1 (in F13 and F12 updates) and then also make your /etc/nm-system-settings.conf or /etc/NetworkManager.conf (whichever you have) have this line:

plugins=ifcfg-rh,keyfile

since the ifcfg-rh plugin cannot yet write pppoe connections, you'll need to use the keyfile plugin which does support pppoe as files in /etc/NetworkManager/system-connections

Note You need to log in before you can comment on or make changes to this bug.